## com.blogspot.applications4android.comicreader
Class ActivityComicReader

    java.lang.Object
      Activity
          com.blogspot.applications4android.comicreader.core.ComicActivity
              com.blogspot.applications4android.comicreader.ActivityComicReader

    public class ActivityComicReader

extends ComicActivity

Main activity which will displayed to the user. This will contain all the comic strips which the user can click to browse through them.

Field Summary
`protected static int[]` `mComicItems` list of comics
`protected static com.blogspot.applications4android.comicreader.ActivityComicReader.FavoriteLauncher` `mFL` favorites activity
`protected static ComicClassList` `mList` comic list
`protected static com.blogspot.applications4android.comicreader.ActivityComicReader.LatestLauncher` `mLL` latest activity
`protected static com.blogspot.applications4android.comicreader.ActivityComicReader.PrevSessionLauncher` `mPL` prev-session activity
`protected int` `mType` sort type

Fields inherited from class com.blogspot.applications4android.comicreader.core.ComicActivity
`mColor1, mColor2`

Constructor Summary
`ActivityComicReader()`

Method Summary
`protected void` `initListView()` Helper function to initialize the list view containing all comics which the user wants to see.
`boolean` `onCreateOptionsMenu(Menu menu)`
`boolean` `onOptionsItemSelected(MenuItem item)`
`protected void` `onPause()` Called when the activity is finished.
`protected void` `onResume()` Called when the activity is first created.

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicActivity
`displayHtml, ExitActivity, hideResetButton, setupComicsList, showResetButton, storeComicClassList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mComicItems

    protected static int[] mComicItems

  list of comics

### mList

    protected static ComicClassList mList

  comic list

### mLL

    protected static com.blogspot.applications4android.comicreader.ActivityComicReader.LatestLauncher mLL

  latest activity

### mFL

    protected static com.blogspot.applications4android.comicreader.ActivityComicReader.FavoriteLauncher mFL

  favorites activity

### mPL

    protected static com.blogspot.applications4android.comicreader.ActivityComicReader.PrevSessionLauncher mPL

  prev-session activity

### mType

    protected int mType

  sort type

Constructor Detail

### ActivityComicReader

    public ActivityComicReader()

Method Detail

### onResume

    protected void onResume()

  Description copied from class: `ComicActivity`
  Called when the activity is first created.

  Overrides:
    `onResume` in class `ComicActivity`

### onPause

    protected void onPause()

  Description copied from class: `ComicActivity`
  Called when the activity is finished.

  Overrides:
    `onPause` in class `ComicActivity`

### onCreateOptionsMenu

    public boolean onCreateOptionsMenu(Menu menu)

### onOptionsItemSelected

    public boolean onOptionsItemSelected(MenuItem item)

### initListView

    protected void initListView()

  Helper function to initialize the list view containing all comics which the user wants to see. This will read the preferences set by the user in the settings activity. Also updates the callbacks for various UI elements in the activity